Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0022982
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POScriticalalways2013-02-05 18:092013-04-03 12:55
ReporterxplacescView Statuspublic 
Assigned Tomarvintm 
PriorityurgentResolutionfixedFixed in VersionRMP19
StatusclosedFix in branchFixed in SCM revision9a2267ceb68e
ProjectionnoneETAnoneTarget VersionRMP19
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toguilleaer
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0022982: Possible rounding issues with tax breakdown

DescriptionTotal presented ticket ammount and total amount resulting from taxes breakdown are not the same.
Steps To ReproduceI've created a ticket, and I've seen differences.
Apparently it seems to exist a rounding issue between the total amount for the number of lines and the total amount from the tax breakdown.

For example :
* Total amount from lines = 473.1
* Total amount from tax breakdown = 473.11

* Total amount from lines = 420.2
* Total amount from tax breakdown = 420.21

* Total amount from lines = 294.9
* Total amount from tax breakdown = 294.89

By comparing both numbers, it seems that somehow the total amount from lines is a 1 decimal rounded version from the total amount from lines.

Find enclosed a ppt with some screenshots. This examples can be reproduced in any retail environment by using the same products (from demo data), and using the "Discounts and Promotions" module with a discretionary discount by amount (-10) and an automatic discount of 30% over the showed product (Base camp duffel 70 l)

Don't know whether the issue can really come from the existence of discounts.
TagsNo tags attached.
Attached Filespptx file icon Rounding issues with taxes.pptx [^] (851,617 bytes) 2013-02-05 18:09

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0056266)
hgbot (developer)
2013-02-07 16:13

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: ff0212c30b6f7cd71371730b1af80eddb3c08e76
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Thu Feb 07 16:13:31 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/ff0212c30b6f7cd71371730b1af80eddb3c08e76 [^]

Fixed issue 22982. Done several changes to the way taxes are computed:
- Changed the algorithm used to compute the net price (and thus the tax amount) in price lists including taxes (now the way it's done is based on the c_get_net_price_from_gross database function)
- Now on pricelists including taxes the taxes themselves are not recomputed after the prices are adjusted. Instead, the total net amount is computed after the prices have been adjusted in the lines.
- Changed the way rounding is done in the BigDecimal calls through the application (now it will be rounded up always, instead of to the next even number on .5s)

---
M web/org.openbravo.retail.posterminal/js/arithmetic.js
M web/org.openbravo.retail.posterminal/js/data/dataordertaxes.js
M web/org.openbravo.retail.posterminal/js/main.js
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0056285)
hgbot (developer)
2013-02-08 09:32

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 12ef73508637e0ca2d1a00641bb2802ac01e7d79
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Fri Feb 08 09:31:56 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/12ef73508637e0ca2d1a00641bb2802ac01e7d79 [^]

Related to issue 22982. Fixed two issues in case of pricing including taxes:
- The final adjustment did not work correctly in case of more than one tax for a given line (the wrong base net was chosen)
- The calculation of the net amount was based on a global tax rate, and this caused precision problems in case of multiple taxes in cascade. The calculation is now done step by step, if more than one tax is applied for a given line.

---
M web/org.openbravo.retail.posterminal/js/data/dataordertaxes.js
---
(0056290)
hgbot (developer)
2013-02-08 11:35

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 5af2999614ba8d16f3422c6f4cae8d80f55867c5
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Fri Feb 08 11:35:21 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/5af2999614ba8d16f3422c6f4cae8d80f55867c5 [^]

Related to issue 22982. Fixed precision issues in case of pricing without including taxes, with more than one tax applied in cascade.

---
M web/org.openbravo.retail.posterminal/js/data/dataordertaxes.js
---
(0056292)
hgbot (developer)
2013-02-08 11:52

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 398c4cd4f926a5e9f8ec76424e9b947c5578a0ea
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Fri Feb 08 11:52:10 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/398c4cd4f926a5e9f8ec76424e9b947c5578a0ea [^]

Related to issue 22982. Fixed small issue when adjusting taxes in returns on price lists including taxes.

---
M web/org.openbravo.retail.posterminal/js/data/dataordertaxes.js
---
(0056293)
hgbot (developer)
2013-02-08 11:53

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: f2c15cd897910e5a944735253970590d6a899892
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Fri Feb 08 11:53:14 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/f2c15cd897910e5a944735253970590d6a899892 [^]

Related to issue 22982. Fixed small issue when adjusting taxes in returns on price lists including taxes.

---
M web/org.openbravo.retail.posterminal/js/arithmetic.js
---
(0056294)
hgbot (developer)
2013-02-08 12:16

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: be31ff4fdf2140ccb57731e0feb872ac2e83f0e4
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Fri Feb 08 12:16:27 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/be31ff4fdf2140ccb57731e0feb872ac2e83f0e4 [^]

Related to issue 22982. Fixed small issue when adjusting taxes in returns on price lists including taxes.

---
M web/org.openbravo.retail.posterminal/js/data/dataordertaxes.js
---
(0056295)
hgbot (developer)
2013-02-08 12:33

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 7433b0dffa8f5896b4bc809d5cc0abed9dd512cc
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Fri Feb 08 12:32:51 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/7433b0dffa8f5896b4bc809d5cc0abed9dd512cc [^]

Related to issue 22982. Fixed small issue when adjusting taxes in returns on price lists including taxes.

---
M web/org.openbravo.retail.posterminal/js/data/dataordertaxes.js
---
(0056302)
guilleaer (developer)
2013-02-08 14:41

Tested deeply and verified.

Ready to be included in RMP19.1
(0056303)
hgbot (developer)
2013-02-08 14:52

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: cf9d20824b0584ebbaeaaad8414751741b9e427e
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Fri Feb 08 14:52:19 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/cf9d20824b0584ebbaeaaad8414751741b9e427e [^]

realted to issue 22982: jsbeautifier

---
M src-db/database/sourcedata/AD_PROCESS.xml
M web/org.openbravo.retail.posterminal/js/data/dataordertaxes.js
---
(0056304)
hgbot (developer)
2013-02-08 14:57

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 5ad2f3e1029d803cb588a9317fa2cec18089a914
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Fri Feb 08 14:56:52 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/5ad2f3e1029d803cb588a9317fa2cec18089a914 [^]

related to issue 22982: revert undesired change in ad_process.xml

---
M src-db/database/sourcedata/AD_PROCESS.xml
---
(0056380)
hgbot (developer)
2013-02-12 13:14

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 9a2267ceb68ebedad5f79f1d89371abe033c9cb5
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Thu Feb 07 16:13:31 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/9a2267ceb68ebedad5f79f1d89371abe033c9cb5 [^]

Fixed issue 22982. Done several changes to the way taxes are computed:
- Changed the algorithm used to compute the net price (and thus the tax amount) in price lists including taxes (now the way it's done is based on the c_get_net_price_from_gross database function)
- Now on pricelists including taxes the taxes themselves are not recomputed after the prices are adjusted. Instead, the total net amount is computed after the prices have been adjusted in the lines.
- Changed the way rounding is done in the BigDecimal calls through the application (now it will be rounded up always, instead of to the next even number on .5s)

---
M web/org.openbravo.retail.posterminal/js/arithmetic.js
M web/org.openbravo.retail.posterminal/js/data/dataordertaxes.js
M web/org.openbravo.retail.posterminal/js/main.js
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0056381)
hgbot (developer)
2013-02-12 13:14

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 2638ac478085a52bb65d70f48cf70195d8be3cce
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Fri Feb 08 09:31:56 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/2638ac478085a52bb65d70f48cf70195d8be3cce [^]

Related to issue 22982. Fixed two issues in case of pricing including taxes:
- The final adjustment did not work correctly in case of more than one tax for a given line (the wrong base net was chosen)
- The calculation of the net amount was based on a global tax rate, and this caused precision problems in case of multiple taxes in cascade. The calculation is now done step by step, if more than one tax is applied for a given line.

---
M web/org.openbravo.retail.posterminal/js/data/dataordertaxes.js
---
(0056382)
hgbot (developer)
2013-02-12 13:14

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: c81857a5857875a87a14866ee186ab2e89ed79c6
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Fri Feb 08 11:35:21 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/c81857a5857875a87a14866ee186ab2e89ed79c6 [^]

Related to issue 22982. Fixed precision issues in case of pricing without including taxes, with more than one tax applied in cascade.

---
M web/org.openbravo.retail.posterminal/js/data/dataordertaxes.js
---
(0056383)
hgbot (developer)
2013-02-12 13:14

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 1241231e416ef9868f57045d548fd3be78a48e07
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Fri Feb 08 11:52:10 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/1241231e416ef9868f57045d548fd3be78a48e07 [^]

Related to issue 22982. Fixed small issue when adjusting taxes in returns on price lists including taxes.

---
M web/org.openbravo.retail.posterminal/js/data/dataordertaxes.js
---
(0056384)
hgbot (developer)
2013-02-12 13:14

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 711458cf973ff9f3ebb9d149850ea3a00a6a9cd5
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Fri Feb 08 11:53:14 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/711458cf973ff9f3ebb9d149850ea3a00a6a9cd5 [^]

Related to issue 22982. Fixed small issue when adjusting taxes in returns on price lists including taxes.

---
M web/org.openbravo.retail.posterminal/js/arithmetic.js
---
(0056385)
hgbot (developer)
2013-02-12 13:14

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 00077b4286824a6337693193dc1cad10e67fbd4c
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Fri Feb 08 12:16:27 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/00077b4286824a6337693193dc1cad10e67fbd4c [^]

Related to issue 22982. Fixed small issue when adjusting taxes in returns on price lists including taxes.

---
M web/org.openbravo.retail.posterminal/js/data/dataordertaxes.js
---
(0056386)
hgbot (developer)
2013-02-12 13:14

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: ca28df2a203f4cc32df210dc2e9f24229a1ebe93
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Fri Feb 08 12:32:51 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/ca28df2a203f4cc32df210dc2e9f24229a1ebe93 [^]

Related to issue 22982. Fixed small issue when adjusting taxes in returns on price lists including taxes.

---
M web/org.openbravo.retail.posterminal/js/data/dataordertaxes.js
---
(0056387)
hgbot (developer)
2013-02-12 13:14

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 4861d12206be6a7ec7ff949adc2d33023bf92dca
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Fri Feb 08 14:52:19 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/4861d12206be6a7ec7ff949adc2d33023bf92dca [^]

realted to issue 22982: jsbeautifier

---
M src-db/database/sourcedata/AD_PROCESS.xml
M web/org.openbravo.retail.posterminal/js/data/dataordertaxes.js
---
(0056388)
hgbot (developer)
2013-02-12 13:14

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: bc16c159ebd48cec18913b1e8ece0438e408f6fb
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Fri Feb 08 14:56:52 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/bc16c159ebd48cec18913b1e8ece0438e408f6fb [^]

related to issue 22982: revert undesired change in ad_process.xml

---
M src-db/database/sourcedata/AD_PROCESS.xml
---
(0056462)
hgbot (developer)
2013-02-15 09:07

Repository: erp/pmods/org.openbravo.retail.posterminal.layaways
Changeset: 9a2267ceb68ebedad5f79f1d89371abe033c9cb5
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Thu Feb 07 16:13:31 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.layaways/rev/9a2267ceb68ebedad5f79f1d89371abe033c9cb5 [^]

Fixed issue 22982. Done several changes to the way taxes are computed:
- Changed the algorithm used to compute the net price (and thus the tax amount) in price lists including taxes (now the way it's done is based on the c_get_net_price_from_gross database function)
- Now on pricelists including taxes the taxes themselves are not recomputed after the prices are adjusted. Instead, the total net amount is computed after the prices have been adjusted in the lines.
- Changed the way rounding is done in the BigDecimal calls through the application (now it will be rounded up always, instead of to the next even number on .5s)

---
M web/org.openbravo.retail.posterminal/js/arithmetic.js
M web/org.openbravo.retail.posterminal/js/data/dataordertaxes.js
M web/org.openbravo.retail.posterminal/js/main.js
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0056463)
hgbot (developer)
2013-02-15 09:07

Repository: erp/pmods/org.openbravo.retail.posterminal.layaways
Changeset: 2638ac478085a52bb65d70f48cf70195d8be3cce
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Fri Feb 08 09:31:56 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.layaways/rev/2638ac478085a52bb65d70f48cf70195d8be3cce [^]

Related to issue 22982. Fixed two issues in case of pricing including taxes:
- The final adjustment did not work correctly in case of more than one tax for a given line (the wrong base net was chosen)
- The calculation of the net amount was based on a global tax rate, and this caused precision problems in case of multiple taxes in cascade. The calculation is now done step by step, if more than one tax is applied for a given line.

---
M web/org.openbravo.retail.posterminal/js/data/dataordertaxes.js
---
(0056464)
hgbot (developer)
2013-02-15 09:07

Repository: erp/pmods/org.openbravo.retail.posterminal.layaways
Changeset: c81857a5857875a87a14866ee186ab2e89ed79c6
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Fri Feb 08 11:35:21 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.layaways/rev/c81857a5857875a87a14866ee186ab2e89ed79c6 [^]

Related to issue 22982. Fixed precision issues in case of pricing without including taxes, with more than one tax applied in cascade.

---
M web/org.openbravo.retail.posterminal/js/data/dataordertaxes.js
---
(0056465)
hgbot (developer)
2013-02-15 09:07

Repository: erp/pmods/org.openbravo.retail.posterminal.layaways
Changeset: 1241231e416ef9868f57045d548fd3be78a48e07
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Fri Feb 08 11:52:10 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.layaways/rev/1241231e416ef9868f57045d548fd3be78a48e07 [^]

Related to issue 22982. Fixed small issue when adjusting taxes in returns on price lists including taxes.

---
M web/org.openbravo.retail.posterminal/js/data/dataordertaxes.js
---
(0056466)
hgbot (developer)
2013-02-15 09:07

Repository: erp/pmods/org.openbravo.retail.posterminal.layaways
Changeset: 711458cf973ff9f3ebb9d149850ea3a00a6a9cd5
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Fri Feb 08 11:53:14 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.layaways/rev/711458cf973ff9f3ebb9d149850ea3a00a6a9cd5 [^]

Related to issue 22982. Fixed small issue when adjusting taxes in returns on price lists including taxes.

---
M web/org.openbravo.retail.posterminal/js/arithmetic.js
---
(0056467)
hgbot (developer)
2013-02-15 09:07

Repository: erp/pmods/org.openbravo.retail.posterminal.layaways
Changeset: 00077b4286824a6337693193dc1cad10e67fbd4c
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Fri Feb 08 12:16:27 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.layaways/rev/00077b4286824a6337693193dc1cad10e67fbd4c [^]

Related to issue 22982. Fixed small issue when adjusting taxes in returns on price lists including taxes.

---
M web/org.openbravo.retail.posterminal/js/data/dataordertaxes.js
---
(0056468)
hgbot (developer)
2013-02-15 09:07

Repository: erp/pmods/org.openbravo.retail.posterminal.layaways
Changeset: ca28df2a203f4cc32df210dc2e9f24229a1ebe93
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Fri Feb 08 12:32:51 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.layaways/rev/ca28df2a203f4cc32df210dc2e9f24229a1ebe93 [^]

Related to issue 22982. Fixed small issue when adjusting taxes in returns on price lists including taxes.

---
M web/org.openbravo.retail.posterminal/js/data/dataordertaxes.js
---
(0056469)
hgbot (developer)
2013-02-15 09:07

Repository: erp/pmods/org.openbravo.retail.posterminal.layaways
Changeset: 4861d12206be6a7ec7ff949adc2d33023bf92dca
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Fri Feb 08 14:52:19 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.layaways/rev/4861d12206be6a7ec7ff949adc2d33023bf92dca [^]

realted to issue 22982: jsbeautifier

---
M src-db/database/sourcedata/AD_PROCESS.xml
M web/org.openbravo.retail.posterminal/js/data/dataordertaxes.js
---
(0056470)
hgbot (developer)
2013-02-15 09:07

Repository: erp/pmods/org.openbravo.retail.posterminal.layaways
Changeset: bc16c159ebd48cec18913b1e8ece0438e408f6fb
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Fri Feb 08 14:56:52 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.layaways/rev/bc16c159ebd48cec18913b1e8ece0438e408f6fb [^]

related to issue 22982: revert undesired change in ad_process.xml

---
M src-db/database/sourcedata/AD_PROCESS.xml
---
(0057610)
hgbot (developer)
2013-04-02 20:05

Repository: erp/pmods/org.openbravo.retail.posterminal-core
Changeset: ff0212c30b6f7cd71371730b1af80eddb3c08e76
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Thu Feb 07 16:13:31 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-core/rev/ff0212c30b6f7cd71371730b1af80eddb3c08e76 [^]

Fixed issue 22982. Done several changes to the way taxes are computed:
- Changed the algorithm used to compute the net price (and thus the tax amount) in price lists including taxes (now the way it's done is based on the c_get_net_price_from_gross database function)
- Now on pricelists including taxes the taxes themselves are not recomputed after the prices are adjusted. Instead, the total net amount is computed after the prices have been adjusted in the lines.
- Changed the way rounding is done in the BigDecimal calls through the application (now it will be rounded up always, instead of to the next even number on .5s)

---
M web/org.openbravo.retail.posterminal/js/arithmetic.js
M web/org.openbravo.retail.posterminal/js/data/dataordertaxes.js
M web/org.openbravo.retail.posterminal/js/main.js
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0057611)
hgbot (developer)
2013-04-02 20:05

Repository: erp/pmods/org.openbravo.retail.posterminal-core
Changeset: 12ef73508637e0ca2d1a00641bb2802ac01e7d79
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Fri Feb 08 09:31:56 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-core/rev/12ef73508637e0ca2d1a00641bb2802ac01e7d79 [^]

Related to issue 22982. Fixed two issues in case of pricing including taxes:
- The final adjustment did not work correctly in case of more than one tax for a given line (the wrong base net was chosen)
- The calculation of the net amount was based on a global tax rate, and this caused precision problems in case of multiple taxes in cascade. The calculation is now done step by step, if more than one tax is applied for a given line.

---
M web/org.openbravo.retail.posterminal/js/data/dataordertaxes.js
---
(0057612)
hgbot (developer)
2013-04-02 20:05

Repository: erp/pmods/org.openbravo.retail.posterminal-core
Changeset: 5af2999614ba8d16f3422c6f4cae8d80f55867c5
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Fri Feb 08 11:35:21 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-core/rev/5af2999614ba8d16f3422c6f4cae8d80f55867c5 [^]

Related to issue 22982. Fixed precision issues in case of pricing without including taxes, with more than one tax applied in cascade.

---
M web/org.openbravo.retail.posterminal/js/data/dataordertaxes.js
---
(0057613)
hgbot (developer)
2013-04-02 20:05

Repository: erp/pmods/org.openbravo.retail.posterminal-core
Changeset: 398c4cd4f926a5e9f8ec76424e9b947c5578a0ea
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Fri Feb 08 11:52:10 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-core/rev/398c4cd4f926a5e9f8ec76424e9b947c5578a0ea [^]

Related to issue 22982. Fixed small issue when adjusting taxes in returns on price lists including taxes.

---
M web/org.openbravo.retail.posterminal/js/data/dataordertaxes.js
---
(0057614)
hgbot (developer)
2013-04-02 20:05

Repository: erp/pmods/org.openbravo.retail.posterminal-core
Changeset: f2c15cd897910e5a944735253970590d6a899892
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Fri Feb 08 11:53:14 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-core/rev/f2c15cd897910e5a944735253970590d6a899892 [^]

Related to issue 22982. Fixed small issue when adjusting taxes in returns on price lists including taxes.

---
M web/org.openbravo.retail.posterminal/js/arithmetic.js
---
(0057615)
hgbot (developer)
2013-04-02 20:05

Repository: erp/pmods/org.openbravo.retail.posterminal-core
Changeset: be31ff4fdf2140ccb57731e0feb872ac2e83f0e4
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Fri Feb 08 12:16:27 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-core/rev/be31ff4fdf2140ccb57731e0feb872ac2e83f0e4 [^]

Related to issue 22982. Fixed small issue when adjusting taxes in returns on price lists including taxes.

---
M web/org.openbravo.retail.posterminal/js/data/dataordertaxes.js
---
(0057616)
hgbot (developer)
2013-04-02 20:05

Repository: erp/pmods/org.openbravo.retail.posterminal-core
Changeset: 7433b0dffa8f5896b4bc809d5cc0abed9dd512cc
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Fri Feb 08 12:32:51 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-core/rev/7433b0dffa8f5896b4bc809d5cc0abed9dd512cc [^]

Related to issue 22982. Fixed small issue when adjusting taxes in returns on price lists including taxes.

---
M web/org.openbravo.retail.posterminal/js/data/dataordertaxes.js
---
(0057617)
hgbot (developer)
2013-04-02 20:05

Repository: erp/pmods/org.openbravo.retail.posterminal-core
Changeset: cf9d20824b0584ebbaeaaad8414751741b9e427e
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Fri Feb 08 14:52:19 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-core/rev/cf9d20824b0584ebbaeaaad8414751741b9e427e [^]

realted to issue 22982: jsbeautifier

---
M src-db/database/sourcedata/AD_PROCESS.xml
M web/org.openbravo.retail.posterminal/js/data/dataordertaxes.js
---
(0057618)
hgbot (developer)
2013-04-02 20:05

Repository: erp/pmods/org.openbravo.retail.posterminal-core
Changeset: 5ad2f3e1029d803cb588a9317fa2cec18089a914
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Fri Feb 08 14:56:52 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-core/rev/5ad2f3e1029d803cb588a9317fa2cec18089a914 [^]

related to issue 22982: revert undesired change in ad_process.xml

---
M src-db/database/sourcedata/AD_PROCESS.xml
---
(0057626)
hgbot (developer)
2013-04-02 20:06

Repository: erp/pmods/org.openbravo.retail.posterminal-core
Changeset: 9a2267ceb68ebedad5f79f1d89371abe033c9cb5
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Thu Feb 07 16:13:31 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-core/rev/9a2267ceb68ebedad5f79f1d89371abe033c9cb5 [^]

Fixed issue 22982. Done several changes to the way taxes are computed:
- Changed the algorithm used to compute the net price (and thus the tax amount) in price lists including taxes (now the way it's done is based on the c_get_net_price_from_gross database function)
- Now on pricelists including taxes the taxes themselves are not recomputed after the prices are adjusted. Instead, the total net amount is computed after the prices have been adjusted in the lines.
- Changed the way rounding is done in the BigDecimal calls through the application (now it will be rounded up always, instead of to the next even number on .5s)

---
M web/org.openbravo.retail.posterminal/js/arithmetic.js
M web/org.openbravo.retail.posterminal/js/data/dataordertaxes.js
M web/org.openbravo.retail.posterminal/js/main.js
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0057627)
hgbot (developer)
2013-04-02 20:06

Repository: erp/pmods/org.openbravo.retail.posterminal-core
Changeset: 2638ac478085a52bb65d70f48cf70195d8be3cce
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Fri Feb 08 09:31:56 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-core/rev/2638ac478085a52bb65d70f48cf70195d8be3cce [^]

Related to issue 22982. Fixed two issues in case of pricing including taxes:
- The final adjustment did not work correctly in case of more than one tax for a given line (the wrong base net was chosen)
- The calculation of the net amount was based on a global tax rate, and this caused precision problems in case of multiple taxes in cascade. The calculation is now done step by step, if more than one tax is applied for a given line.

---
M web/org.openbravo.retail.posterminal/js/data/dataordertaxes.js
---
(0057628)
hgbot (developer)
2013-04-02 20:06

Repository: erp/pmods/org.openbravo.retail.posterminal-core
Changeset: c81857a5857875a87a14866ee186ab2e89ed79c6
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Fri Feb 08 11:35:21 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-core/rev/c81857a5857875a87a14866ee186ab2e89ed79c6 [^]

Related to issue 22982. Fixed precision issues in case of pricing without including taxes, with more than one tax applied in cascade.

---
M web/org.openbravo.retail.posterminal/js/data/dataordertaxes.js
---
(0057629)
hgbot (developer)
2013-04-02 20:06

Repository: erp/pmods/org.openbravo.retail.posterminal-core
Changeset: 1241231e416ef9868f57045d548fd3be78a48e07
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Fri Feb 08 11:52:10 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-core/rev/1241231e416ef9868f57045d548fd3be78a48e07 [^]

Related to issue 22982. Fixed small issue when adjusting taxes in returns on price lists including taxes.

---
M web/org.openbravo.retail.posterminal/js/data/dataordertaxes.js
---
(0057630)
hgbot (developer)
2013-04-02 20:06

Repository: erp/pmods/org.openbravo.retail.posterminal-core
Changeset: 711458cf973ff9f3ebb9d149850ea3a00a6a9cd5
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Fri Feb 08 11:53:14 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-core/rev/711458cf973ff9f3ebb9d149850ea3a00a6a9cd5 [^]

Related to issue 22982. Fixed small issue when adjusting taxes in returns on price lists including taxes.

---
M web/org.openbravo.retail.posterminal/js/arithmetic.js
---
(0057631)
hgbot (developer)
2013-04-02 20:06

Repository: erp/pmods/org.openbravo.retail.posterminal-core
Changeset: 00077b4286824a6337693193dc1cad10e67fbd4c
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Fri Feb 08 12:16:27 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-core/rev/00077b4286824a6337693193dc1cad10e67fbd4c [^]

Related to issue 22982. Fixed small issue when adjusting taxes in returns on price lists including taxes.

---
M web/org.openbravo.retail.posterminal/js/data/dataordertaxes.js
---
(0057632)
hgbot (developer)
2013-04-02 20:06

Repository: erp/pmods/org.openbravo.retail.posterminal-core
Changeset: ca28df2a203f4cc32df210dc2e9f24229a1ebe93
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Fri Feb 08 12:32:51 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-core/rev/ca28df2a203f4cc32df210dc2e9f24229a1ebe93 [^]

Related to issue 22982. Fixed small issue when adjusting taxes in returns on price lists including taxes.

---
M web/org.openbravo.retail.posterminal/js/data/dataordertaxes.js
---
(0057633)
hgbot (developer)
2013-04-02 20:06

Repository: erp/pmods/org.openbravo.retail.posterminal-core
Changeset: 4861d12206be6a7ec7ff949adc2d33023bf92dca
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Fri Feb 08 14:52:19 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-core/rev/4861d12206be6a7ec7ff949adc2d33023bf92dca [^]

realted to issue 22982: jsbeautifier

---
M src-db/database/sourcedata/AD_PROCESS.xml
M web/org.openbravo.retail.posterminal/js/data/dataordertaxes.js
---
(0057634)
hgbot (developer)
2013-04-02 20:06

Repository: erp/pmods/org.openbravo.retail.posterminal-core
Changeset: bc16c159ebd48cec18913b1e8ece0438e408f6fb
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Fri Feb 08 14:56:52 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-core/rev/bc16c159ebd48cec18913b1e8ece0438e408f6fb [^]

related to issue 22982: revert undesired change in ad_process.xml

---
M src-db/database/sourcedata/AD_PROCESS.xml
---

- Issue History
Date Modified Username Field Change
2013-02-05 18:09 xplacesc New Issue
2013-02-05 18:09 xplacesc Assigned To => adrianromero
2013-02-05 18:09 xplacesc File Added: Rounding issues with taxes.pptx
2013-02-06 10:08 migueldejuana Assigned To adrianromero => marvintm
2013-02-06 10:08 migueldejuana Target Version => RMP20
2013-02-06 10:31 migueldejuana Target Version RMP20 => RMP19
2013-02-07 16:13 hgbot Checkin
2013-02-07 16:13 hgbot Note Added: 0056266
2013-02-07 16:13 hgbot Status new => resolved
2013-02-07 16:13 hgbot Resolution open => fixed
2013-02-07 16:13 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/ff0212c30b6f7cd71371730b1af80eddb3c08e76 [^]
2013-02-08 09:32 hgbot Checkin
2013-02-08 09:32 hgbot Note Added: 0056285
2013-02-08 11:35 hgbot Checkin
2013-02-08 11:35 hgbot Note Added: 0056290
2013-02-08 11:52 hgbot Checkin
2013-02-08 11:52 hgbot Note Added: 0056292
2013-02-08 11:53 hgbot Checkin
2013-02-08 11:53 hgbot Note Added: 0056293
2013-02-08 12:16 hgbot Checkin
2013-02-08 12:16 hgbot Note Added: 0056294
2013-02-08 12:33 hgbot Checkin
2013-02-08 12:33 hgbot Note Added: 0056295
2013-02-08 14:41 guilleaer Review Assigned To => guilleaer
2013-02-08 14:41 guilleaer Note Added: 0056302
2013-02-08 14:41 guilleaer Status resolved => closed
2013-02-08 14:41 guilleaer Fixed in Version => RMP19
2013-02-08 14:52 hgbot Checkin
2013-02-08 14:52 hgbot Note Added: 0056303
2013-02-08 14:57 hgbot Checkin
2013-02-08 14:57 hgbot Note Added: 0056304
2013-02-12 13:14 hgbot Checkin
2013-02-12 13:14 hgbot Note Added: 0056380
2013-02-12 13:14 hgbot Status closed => resolved
2013-02-12 13:14 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/ff0212c30b6f7cd71371730b1af80eddb3c08e76 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/9a2267ceb68ebedad5f79f1d89371abe033c9cb5 [^]
2013-02-12 13:14 hgbot Checkin
2013-02-12 13:14 hgbot Note Added: 0056381
2013-02-12 13:14 hgbot Checkin
2013-02-12 13:14 hgbot Note Added: 0056382
2013-02-12 13:14 hgbot Checkin
2013-02-12 13:14 hgbot Note Added: 0056383
2013-02-12 13:14 hgbot Checkin
2013-02-12 13:14 hgbot Note Added: 0056384
2013-02-12 13:14 hgbot Checkin
2013-02-12 13:14 hgbot Note Added: 0056385
2013-02-12 13:14 hgbot Checkin
2013-02-12 13:14 hgbot Note Added: 0056386
2013-02-12 13:14 hgbot Checkin
2013-02-12 13:14 hgbot Note Added: 0056387
2013-02-12 13:14 hgbot Checkin
2013-02-12 13:14 hgbot Note Added: 0056388
2013-02-12 13:29 marvintm Status resolved => closed
2013-02-15 09:07 hgbot Checkin
2013-02-15 09:07 hgbot Note Added: 0056462
2013-02-15 09:07 hgbot Status closed => resolved
2013-02-15 09:07 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/9a2267ceb68ebedad5f79f1d89371abe033c9cb5 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.layaways/rev/9a2267ceb68ebedad5f79f1d89371abe033c9cb5 [^]
2013-02-15 09:07 hgbot Checkin
2013-02-15 09:07 hgbot Note Added: 0056463
2013-02-15 09:07 hgbot Checkin
2013-02-15 09:07 hgbot Note Added: 0056464
2013-02-15 09:07 hgbot Checkin
2013-02-15 09:07 hgbot Note Added: 0056465
2013-02-15 09:07 hgbot Checkin
2013-02-15 09:07 hgbot Note Added: 0056466
2013-02-15 09:07 hgbot Checkin
2013-02-15 09:07 hgbot Note Added: 0056467
2013-02-15 09:07 hgbot Checkin
2013-02-15 09:07 hgbot Note Added: 0056468
2013-02-15 09:07 hgbot Checkin
2013-02-15 09:07 hgbot Note Added: 0056469
2013-02-15 09:07 hgbot Checkin
2013-02-15 09:07 hgbot Note Added: 0056470
2013-02-28 08:42 marvintm Status resolved => closed
2013-04-02 20:05 hgbot Checkin
2013-04-02 20:05 hgbot Note Added: 0057610
2013-04-02 20:05 hgbot Status closed => resolved
2013-04-02 20:05 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.layaways/rev/9a2267ceb68ebedad5f79f1d89371abe033c9cb5 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-core/rev/ff0212c30b6f7cd71371730b1af80eddb3c08e76 [^]
2013-04-02 20:05 hgbot Checkin
2013-04-02 20:05 hgbot Note Added: 0057611
2013-04-02 20:05 hgbot Checkin
2013-04-02 20:05 hgbot Note Added: 0057612
2013-04-02 20:05 hgbot Checkin
2013-04-02 20:05 hgbot Note Added: 0057613
2013-04-02 20:05 hgbot Checkin
2013-04-02 20:05 hgbot Note Added: 0057614
2013-04-02 20:05 hgbot Checkin
2013-04-02 20:05 hgbot Note Added: 0057615
2013-04-02 20:05 hgbot Checkin
2013-04-02 20:05 hgbot Note Added: 0057616
2013-04-02 20:05 hgbot Checkin
2013-04-02 20:05 hgbot Note Added: 0057617
2013-04-02 20:05 hgbot Checkin
2013-04-02 20:05 hgbot Note Added: 0057618
2013-04-02 20:06 hgbot Checkin
2013-04-02 20:06 hgbot Note Added: 0057626
2013-04-02 20:06 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-core/rev/ff0212c30b6f7cd71371730b1af80eddb3c08e76 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-core/rev/9a2267ceb68ebedad5f79f1d89371abe033c9cb5 [^]
2013-04-02 20:06 hgbot Checkin
2013-04-02 20:06 hgbot Note Added: 0057627
2013-04-02 20:06 hgbot Checkin
2013-04-02 20:06 hgbot Note Added: 0057628
2013-04-02 20:06 hgbot Checkin
2013-04-02 20:06 hgbot Note Added: 0057629
2013-04-02 20:06 hgbot Checkin
2013-04-02 20:06 hgbot Note Added: 0057630
2013-04-02 20:06 hgbot Checkin
2013-04-02 20:06 hgbot Note Added: 0057631
2013-04-02 20:06 hgbot Checkin
2013-04-02 20:06 hgbot Note Added: 0057632
2013-04-02 20:06 hgbot Checkin
2013-04-02 20:06 hgbot Note Added: 0057633
2013-04-02 20:06 hgbot Checkin
2013-04-02 20:06 hgbot Note Added: 0057634
2013-04-03 12:55 marvintm Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker